Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_Cleanup_Adapter Class Template Reference

Adapter for ACE_Cleanup objects that allows them to be readily managed by the ACE_Object_Manager. More...

`#include <Managed_Object.h>`

Inheritance diagram for ACE_Cleanup_Adapter

[legend]
Collaboration diagram for ACE_Cleanup_Adapter:

[legend]
List of all members.

## Public Methods
| ACE_Cleanup_Adapter (void)
| Default constructor.
virtual | ~ACE_Cleanup_Adapter (void)
| Virtual destructor, needed by some compilers for vtable placement.
TYPE& | object (void)
| Accessor for contained object.
## Private Methods
| ACE_Cleanup_Adapter (const ACE_Cleanup_Adapter<TYPE> &)
void | operator= (const ACE_Cleanup_Adapter<TYPE> &)
## Private Attributes
TYPE | object_
| Contained object.

## Detailed Description

### template<class TYPE> template class ACE_Cleanup_Adapter

Adapter for ACE_Cleanup objects that allows them to be readily managed by the ACE_Object_Manager.

This template class adapts an object of any type to be an ACE_Cleanup object. The object can then be destroyed type-safely by the ACE_Object_Manager. This class is typically used to replace a cast; but, it's a bit cleaner and allows insertion of, say, run-time type identification internally if desired.

## Constructor & Destructor Documentation

template<classTYPE>
ACE_INLINE ACE_Cleanup_Adapter< TYPE >::ACE_Cleanup_Adapter<TYPE> ( | void )

| Default constructor.

template<classTYPE>
ACE_Cleanup_Adapter<TYPE>::~ACE_Cleanup_Adapter<TYPE> ( | void )`[inline, virtual]`

| Virtual destructor, needed by some compilers for vtable placement.

template<classTYPE>
ACE_Cleanup_Adapter<TYPE>::ACE_Cleanup_Adapter<TYPE> ( | const ACE_Cleanup_Adapter< TYPE >& )`[private]`

## Member Function Documentation

template<classTYPE>
ACE_INLINE TYPE & ACE_Cleanup_Adapter< TYPE >::object ( | void )

| Accessor for contained object.

template<classTYPE>
void ACE_Cleanup_Adapter<TYPE>::operator= ( | const ACE_Cleanup_Adapter< TYPE >& )`[private]`

## Member Data Documentation

template<classTYPE>
TYPE ACE_Cleanup_Adapter<TYPE>::object_`[private]`

| Contained object.

The documentation for this class was generated from the following files:

- Managed_Object.h
- Managed_Object.cpp
- Managed_Object.i